function getPrefs()
{
    var oPrefsService = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

    var bDebug               = false;
    var bUrlDeEncodeUrl      = true;
    var bParseUrlsInValues   = false;
    var sAutocomplete        = "off";
    var bShowArrowButton     = false;
    var bSidebar             = true;
    var bKeepUncheckedParams = false;
    var bSortParameters      = true;

    try
    {
        bDebug               = oPrefsService.getBoolPref("urlparams.debug");
        bUrlDeEncodeUrl      = oPrefsService.getBoolPref("urlparams.deencodeurl");
        bParseUrlsInValues   = oPrefsService.getBoolPref("urlparams.parseurlsinvalues");
        sAutocomplete        = oPrefsService.getCharPref("urlparams.autocomplete");
        bShowArrowButton     = oPrefsService.getBoolPref("urlparams.autocompletearrowbutton");
        bSidebar             = oPrefsService.getBoolPref("urlparams.tbbuttonopensinsidebar");
        bKeepUncheckedParams = oPrefsService.getBoolPref("urlparams.keepuncheckedparams");
        bSortParameters      = oPrefsService.getBoolPref("urlparams.sortparameters");
    }
    catch( exception )
    {
        //nothing
        //dump("error " + exception + "\n");
    }

    document.getElementById("pref-debug").setAttribute("checked", bDebug);
    document.getElementById("pref-urlencode").setAttribute("checked", bUrlDeEncodeUrl);
    document.getElementById("pref-parseurlsinvalues").setAttribute("checked", bParseUrlsInValues);
    document.getElementById("pref-autocompletearrowbutton").setAttribute("checked", bShowArrowButton);
    document.getElementById("pref-tbbuttonopensinsidebar").setAttribute("checked", bSidebar);
    document.getElementById("pref-keepuncheckedparams").setAttribute("checked", bKeepUncheckedParams);
    document.getElementById("pref-sortparameters").setAttribute("checked", bSortParameters);

    var iSelectedIndex = 0;
    switch( sAutocomplete ) {
        default:
        case 'off':    iSelectedIndex = 0; break;
        case 'global': iSelectedIndex = 1; break;
        case 'own':    iSelectedIndex = 2; break;
    }
    document.getElementById("pref-autocomplete").selectedIndex = iSelectedIndex;
}

function savePrefs()
{
    var bDebug               = document.getElementById("pref-debug").getAttribute("checked");
    var bUrlDeEncodeUrl      = document.getElementById("pref-urlencode").getAttribute("checked");
    var bParseUrlsInValues   = document.getElementById("pref-parseurlsinvalues").getAttribute("checked");
    var sAutocomplete        = document.getElementById("pref-autocomplete").getAttribute("value");
    var bShowArrowButton     = document.getElementById("pref-autocompletearrowbutton").getAttribute("checked");
    var bSidebar             = document.getElementById("pref-tbbuttonopensinsidebar").getAttribute("checked");
    var bKeepUncheckedParams = document.getElementById("pref-keepuncheckedparams").getAttribute("checked");
    var bSortParameters      = document.getElementById("pref-sortparameters").getAttribute("checked");

    var oPrefsService = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

    oPrefsService.setBoolPref("urlparams.debug"      , ((bDebug == "true") ? 1 : 0) );
    oPrefsService.setBoolPref("urlparams.deencodeurl", ((bUrlDeEncodeUrl == "true") ? 1 : 0) );
    oPrefsService.setBoolPref("urlparams.parseurlsinvalues", ((bParseUrlsInValues == "true") ? 1 : 0) );
    oPrefsService.setCharPref("urlparams.autocomplete", sAutocomplete );
    oPrefsService.setBoolPref("urlparams.autocompletearrowbutton", ((bShowArrowButton == "true") ? 1 : 0) );
    oPrefsService.setBoolPref("urlparams.tbbuttonopensinsidebar", ((bSidebar == "true") ? 1 : 0) );
    oPrefsService.setBoolPref("urlparams.keepuncheckedparams", ((bKeepUncheckedParams == "true") ? 1 : 0) );
    oPrefsService.setBoolPref("urlparams.sortparameters", ((bSortParameters == "true") ? 1 : 0) );

    window.close();
}